Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network2.80.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
2.80.0.0
Broadcast address
2.81.255.255
First usable
2.80.0.1
Last usable
2.81.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 02500000 · Integer 38797312 to 38928383
Reverse DNS zones
80.2.in-addr.arpa
81.2.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000010.01010000.00000000.000000002.80.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network00000010.01010000.00000000.000000002.80.0.0
Broadcast00000010.01010001.11111111.111111112.81.255.255
Split into smaller subnets/22

2.80.0.0/15 makes 128 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
12.80.0.0/222.80.0.1 to 2.80.3.2542.80.3.2551,022
22.80.4.0/222.80.4.1 to 2.80.7.2542.80.7.2551,022
32.80.8.0/222.80.8.1 to 2.80.11.2542.80.11.2551,022
42.80.12.0/222.80.12.1 to 2.80.15.2542.80.15.2551,022
52.80.16.0/222.80.16.1 to 2.80.19.2542.80.19.2551,022
62.80.20.0/222.80.20.1 to 2.80.23.2542.80.23.2551,022
72.80.24.0/222.80.24.1 to 2.80.27.2542.80.27.2551,022
82.80.28.0/222.80.28.1 to 2.80.31.2542.80.31.2551,022
92.80.32.0/222.80.32.1 to 2.80.35.2542.80.35.2551,022
102.80.36.0/222.80.36.1 to 2.80.39.2542.80.39.2551,022
112.80.40.0/222.80.40.1 to 2.80.43.2542.80.43.2551,022
122.80.44.0/222.80.44.1 to 2.80.47.2542.80.47.2551,022
132.80.48.0/222.80.48.1 to 2.80.51.2542.80.51.2551,022
142.80.52.0/222.80.52.1 to 2.80.55.2542.80.55.2551,022
152.80.56.0/222.80.56.1 to 2.80.59.2542.80.59.2551,022
162.80.60.0/222.80.60.1 to 2.80.63.2542.80.63.2551,022
172.80.64.0/222.80.64.1 to 2.80.67.2542.80.67.2551,022
182.80.68.0/222.80.68.1 to 2.80.71.2542.80.71.2551,022
192.80.72.0/222.80.72.1 to 2.80.75.2542.80.75.2551,022
202.80.76.0/222.80.76.1 to 2.80.79.2542.80.79.2551,022
212.80.80.0/222.80.80.1 to 2.80.83.2542.80.83.2551,022
222.80.84.0/222.80.84.1 to 2.80.87.2542.80.87.2551,022
232.80.88.0/222.80.88.1 to 2.80.91.2542.80.91.2551,022
242.80.92.0/222.80.92.1 to 2.80.95.2542.80.95.2551,022
252.80.96.0/222.80.96.1 to 2.80.99.2542.80.99.2551,022
262.80.100.0/222.80.100.1 to 2.80.103.2542.80.103.2551,022
272.80.104.0/222.80.104.1 to 2.80.107.2542.80.107.2551,022
282.80.108.0/222.80.108.1 to 2.80.111.2542.80.111.2551,022
292.80.112.0/222.80.112.1 to 2.80.115.2542.80.115.2551,022
302.80.116.0/222.80.116.1 to 2.80.119.2542.80.119.2551,022
312.80.120.0/222.80.120.1 to 2.80.123.2542.80.123.2551,022
322.80.124.0/222.80.124.1 to 2.80.127.2542.80.127.2551,022
332.80.128.0/222.80.128.1 to 2.80.131.2542.80.131.2551,022
342.80.132.0/222.80.132.1 to 2.80.135.2542.80.135.2551,022
352.80.136.0/222.80.136.1 to 2.80.139.2542.80.139.2551,022
362.80.140.0/222.80.140.1 to 2.80.143.2542.80.143.2551,022
372.80.144.0/222.80.144.1 to 2.80.147.2542.80.147.2551,022
382.80.148.0/222.80.148.1 to 2.80.151.2542.80.151.2551,022
392.80.152.0/222.80.152.1 to 2.80.155.2542.80.155.2551,022
402.80.156.0/222.80.156.1 to 2.80.159.2542.80.159.2551,022
412.80.160.0/222.80.160.1 to 2.80.163.2542.80.163.2551,022
422.80.164.0/222.80.164.1 to 2.80.167.2542.80.167.2551,022
432.80.168.0/222.80.168.1 to 2.80.171.2542.80.171.2551,022
442.80.172.0/222.80.172.1 to 2.80.175.2542.80.175.2551,022
452.80.176.0/222.80.176.1 to 2.80.179.2542.80.179.2551,022
462.80.180.0/222.80.180.1 to 2.80.183.2542.80.183.2551,022
472.80.184.0/222.80.184.1 to 2.80.187.2542.80.187.2551,022
482.80.188.0/222.80.188.1 to 2.80.191.2542.80.191.2551,022
492.80.192.0/222.80.192.1 to 2.80.195.2542.80.195.2551,022
502.80.196.0/222.80.196.1 to 2.80.199.2542.80.199.2551,022
512.80.200.0/222.80.200.1 to 2.80.203.2542.80.203.2551,022
522.80.204.0/222.80.204.1 to 2.80.207.2542.80.207.2551,022
532.80.208.0/222.80.208.1 to 2.80.211.2542.80.211.2551,022
542.80.212.0/222.80.212.1 to 2.80.215.2542.80.215.2551,022
552.80.216.0/222.80.216.1 to 2.80.219.2542.80.219.2551,022
562.80.220.0/222.80.220.1 to 2.80.223.2542.80.223.2551,022
572.80.224.0/222.80.224.1 to 2.80.227.2542.80.227.2551,022
582.80.228.0/222.80.228.1 to 2.80.231.2542.80.231.2551,022
592.80.232.0/222.80.232.1 to 2.80.235.2542.80.235.2551,022
602.80.236.0/222.80.236.1 to 2.80.239.2542.80.239.2551,022
612.80.240.0/222.80.240.1 to 2.80.243.2542.80.243.2551,022
622.80.244.0/222.80.244.1 to 2.80.247.2542.80.247.2551,022
632.80.248.0/222.80.248.1 to 2.80.251.2542.80.251.2551,022
642.80.252.0/222.80.252.1 to 2.80.255.2542.80.255.2551,022
652.81.0.0/222.81.0.1 to 2.81.3.2542.81.3.2551,022
662.81.4.0/222.81.4.1 to 2.81.7.2542.81.7.2551,022
672.81.8.0/222.81.8.1 to 2.81.11.2542.81.11.2551,022
682.81.12.0/222.81.12.1 to 2.81.15.2542.81.15.2551,022
692.81.16.0/222.81.16.1 to 2.81.19.2542.81.19.2551,022
702.81.20.0/222.81.20.1 to 2.81.23.2542.81.23.2551,022
712.81.24.0/222.81.24.1 to 2.81.27.2542.81.27.2551,022
722.81.28.0/222.81.28.1 to 2.81.31.2542.81.31.2551,022
732.81.32.0/222.81.32.1 to 2.81.35.2542.81.35.2551,022
742.81.36.0/222.81.36.1 to 2.81.39.2542.81.39.2551,022
752.81.40.0/222.81.40.1 to 2.81.43.2542.81.43.2551,022
762.81.44.0/222.81.44.1 to 2.81.47.2542.81.47.2551,022
772.81.48.0/222.81.48.1 to 2.81.51.2542.81.51.2551,022
782.81.52.0/222.81.52.1 to 2.81.55.2542.81.55.2551,022
792.81.56.0/222.81.56.1 to 2.81.59.2542.81.59.2551,022
802.81.60.0/222.81.60.1 to 2.81.63.2542.81.63.2551,022
812.81.64.0/222.81.64.1 to 2.81.67.2542.81.67.2551,022
822.81.68.0/222.81.68.1 to 2.81.71.2542.81.71.2551,022
832.81.72.0/222.81.72.1 to 2.81.75.2542.81.75.2551,022
842.81.76.0/222.81.76.1 to 2.81.79.2542.81.79.2551,022
852.81.80.0/222.81.80.1 to 2.81.83.2542.81.83.2551,022
862.81.84.0/222.81.84.1 to 2.81.87.2542.81.87.2551,022
872.81.88.0/222.81.88.1 to 2.81.91.2542.81.91.2551,022
882.81.92.0/222.81.92.1 to 2.81.95.2542.81.95.2551,022
892.81.96.0/222.81.96.1 to 2.81.99.2542.81.99.2551,022
902.81.100.0/222.81.100.1 to 2.81.103.2542.81.103.2551,022
912.81.104.0/222.81.104.1 to 2.81.107.2542.81.107.2551,022
922.81.108.0/222.81.108.1 to 2.81.111.2542.81.111.2551,022
932.81.112.0/222.81.112.1 to 2.81.115.2542.81.115.2551,022
942.81.116.0/222.81.116.1 to 2.81.119.2542.81.119.2551,022
952.81.120.0/222.81.120.1 to 2.81.123.2542.81.123.2551,022
962.81.124.0/222.81.124.1 to 2.81.127.2542.81.127.2551,022
972.81.128.0/222.81.128.1 to 2.81.131.2542.81.131.2551,022
982.81.132.0/222.81.132.1 to 2.81.135.2542.81.135.2551,022
992.81.136.0/222.81.136.1 to 2.81.139.2542.81.139.2551,022
1002.81.140.0/222.81.140.1 to 2.81.143.2542.81.143.2551,022
1012.81.144.0/222.81.144.1 to 2.81.147.2542.81.147.2551,022
1022.81.148.0/222.81.148.1 to 2.81.151.2542.81.151.2551,022
1032.81.152.0/222.81.152.1 to 2.81.155.2542.81.155.2551,022
1042.81.156.0/222.81.156.1 to 2.81.159.2542.81.159.2551,022
1052.81.160.0/222.81.160.1 to 2.81.163.2542.81.163.2551,022
1062.81.164.0/222.81.164.1 to 2.81.167.2542.81.167.2551,022
1072.81.168.0/222.81.168.1 to 2.81.171.2542.81.171.2551,022
1082.81.172.0/222.81.172.1 to 2.81.175.2542.81.175.2551,022
1092.81.176.0/222.81.176.1 to 2.81.179.2542.81.179.2551,022
1102.81.180.0/222.81.180.1 to 2.81.183.2542.81.183.2551,022
1112.81.184.0/222.81.184.1 to 2.81.187.2542.81.187.2551,022
1122.81.188.0/222.81.188.1 to 2.81.191.2542.81.191.2551,022
1132.81.192.0/222.81.192.1 to 2.81.195.2542.81.195.2551,022
1142.81.196.0/222.81.196.1 to 2.81.199.2542.81.199.2551,022
1152.81.200.0/222.81.200.1 to 2.81.203.2542.81.203.2551,022
1162.81.204.0/222.81.204.1 to 2.81.207.2542.81.207.2551,022
1172.81.208.0/222.81.208.1 to 2.81.211.2542.81.211.2551,022
1182.81.212.0/222.81.212.1 to 2.81.215.2542.81.215.2551,022
1192.81.216.0/222.81.216.1 to 2.81.219.2542.81.219.2551,022
1202.81.220.0/222.81.220.1 to 2.81.223.2542.81.223.2551,022
1212.81.224.0/222.81.224.1 to 2.81.227.2542.81.227.2551,022
1222.81.228.0/222.81.228.1 to 2.81.231.2542.81.231.2551,022
1232.81.232.0/222.81.232.1 to 2.81.235.2542.81.235.2551,022
1242.81.236.0/222.81.236.1 to 2.81.239.2542.81.239.2551,022
1252.81.240.0/222.81.240.1 to 2.81.243.2542.81.243.2551,022
1262.81.244.0/222.81.244.1 to 2.81.247.2542.81.247.2551,022
1272.81.248.0/222.81.248.1 to 2.81.251.2542.81.251.2551,022
1282.81.252.0/222.81.252.1 to 2.81.255.2542.81.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses